<?php

if (!isset($_SESSION["user_id"]) || $_SESSION["role"] != Role::ADMIN)
    require_once "server_files/403.php";

if (isset($_POST["export_user_data"])) {
    $file_name = exportUserData();

    header("Content-Type: text/csv");
    header("Content-Disposition: inline; filename=\"Données utilisateurs.csv\"");
    header("Content-Length: " . strval(filesize($file_name)));

    readfile($file_name);

    exit();
}

if (isset($_POST["export_team_data"])) {
    $file_name = exportTeamData();

    header("Content-Type: text/csv");
    header("Content-Disposition: attachment; filename=\"Données équipes.csv\"");
    header("Content-Length: " . strval(filesize($file_name)));

    readfile($file_name);

    exit();
}

if (isset($_POST["export_problems_data"])) {
    $file_name = exportProblemsData();

    header("Content-Type: text/csv");
    header("Content-Disposition: attachment; filename=\"Données problèmes.csv\"");
    header("Content-Length: " . strval(filesize($file_name)));

    readfile($file_name);

    exit();
}

require_once "server_files/views/exporter_donnees.php";