<?php require_once "header.php"; ?>

    <div class="mt-4 mb-4">
        <h1 class="display-4">Calendrier</h1>
    </div>

<?php if (isset($_GET["edit"])) { ?>

    <form method="POST">
        <div class="form-group row">
            <label for="inscription">Fin des inscriptions :</label>
            <div class="form-group col-md-10">
                <input class="form-control" type="date" id="inscription" name="date_inscription"
                       value="<?= substr($CONFIG->getInscriptionDate(), 0, 10) ?>"/>
                <input class="form-control" type="time" id="inscription" name="time_inscription"
                       value="<?= substr($CONFIG->getInscriptionDate(), 11, 5) ?>"/>
            </div>
        </div>

        <div class="form-group row">
            <label for="phase1">Dates de la phase 1 :</label>
            <div class="form-group col-md-5">
                <input class="form-control" type="date" id="phase1" name="date_start_phase1"
                       value="<?= substr($CONFIG->getStartPhase1Date(), 0, 10) ?>"/>
                <input class="form-control" type="time" id="phase1" name="time_start_phase1"
                       value="<?= substr($CONFIG->getStartPhase1Date(), 11, 5) ?>"/>
            </div>
            <div class="form-group col-md-5">
                <input class="form-control" type="date" id="phase1" name="date_end_phase1"
                       value="<?= substr($CONFIG->getEndPhase1Date(), 0, 10) ?>"/>
                <input class="form-control" type="time" id="phase1" name="time_end_phase1"
                       value="<?= substr($CONFIG->getEndPhase1Date(), 11, 5) ?>"/>
            </div>
        </div>

        <div class="form-group row">
            <label for="phase2">Dates de la phase 2 :</label>
            <div class="form-group col-md-5">
                <input class="form-control" type="date" id="phase2" name="date_start_phase2"
                       value="<?= substr($CONFIG->getStartPhase2Date(), 0, 10) ?>"/>
                <input class="form-control" type="time" id="phase1" name="time_start_phase2"
                       value="<?= substr($CONFIG->getStartPhase2Date(), 11, 5) ?>"/>
            </div>
            <div class="form-group col-md-5">
                <input class="form-control" type="date" id="phase2" name="date_end_phase2"
                       value="<?= substr($CONFIG->getEndPhase2Date(), 0, 10) ?>"/>
                <input class="form-control" type="time" id="phase2" name="time_end_phase2"
                       value="<?= substr($CONFIG->getEndPhase2Date(), 11, 5) ?>"/>
            </div>
        </div>

        <div class="form-group row">
            <label for="phase3">Dates de la phase 3 :</label>
            <div class="form-group col-md-5">
                <input class="form-control" type="date" id="phase3" name="date_start_phase3"
                       value="<?= substr($CONFIG->getStartPhase3Date(), 0, 10) ?>"/>
                <input class="form-control" type="time" id="phase3" name="time_start_phase3"
                       value="<?= substr($CONFIG->getStartPhase3Date(), 11, 5) ?>"/>
            </div>
            <div class="form-group col-md-5">
                <input class="form-control" type="date" id="phase3" name="date_end_phase3"
                       value="<?= substr($CONFIG->getEndPhase3Date(), 0, 10) ?>"/>
                <input class="form-control" type="time" id="phase3" name="time_end_phase3"
                       value="<?= substr($CONFIG->getEndPhase3Date(), 11, 5) ?>"/>
            </div>
        </div>

        <div class="form-group row">
            <label for="phase4">Dates de la phase 4 :</label>
            <div class="form-group col-md-5">
                <input class="form-control" type="date" id="phase4" name="date_start_phase4"
                       value="<?= substr($CONFIG->getStartPhase4Date(), 0, 10) ?>"/>
                <input class="form-control" type="time" id="phase4" name="time_start_phase4"
                       value="<?= substr($CONFIG->getStartPhase4Date(), 11, 5) ?>"/>
            </div>
            <div class="form-group col-md-5">
                <input class="form-control" type="date" id="phase4" name="date_end_phase4"
                       value="<?= substr($CONFIG->getEndPhase4Date(), 0, 10) ?>"/>
                <input class="form-control" type="time" id="phase4" name="time_end_phase4"
                       value="<?= substr($CONFIG->getEndPhase4Date(), 11, 5) ?>"/>
            </div>
        </div>

        <div class="form-group row">
            <input class="btn btn-primary btn-lg btn-block" type="submit" name="update_calendar"
                   value="Mettre à jour le calendrier"/>
        </div>
    </form>

<?php } else { ?>

    <div class="alert alert-<?= date("Y-m-d H:i:s") <= $CONFIG->getInscriptionDate() ? "warning" : "success" ?>">
        <?= Phase::getTranslatedName(Phase::INSCRIPTION) ?> :
        <strong><?= formatDate($CONFIG->getInscriptionDate(), true) ?></strong>
    </div>

    <div class="alert alert-<?= Phase::getCurrentPhase() < Phase::PHASE1 ? "danger" : (Phase::getCurrentPhase() == Phase::PHASE1 ? "warning" : "success") ?>">
        <?= Phase::getTranslatedName(Phase::PHASE1) ?> :
        Du <strong><?= formatDate($CONFIG->getStartPhase1Date(), true) ?></strong> au
        <strong><?= formatDate($CONFIG->getEndPhase1Date(), true) ?></strong>
    </div>

    <div class="alert alert-<?= Phase::getCurrentPhase() < Phase::PHASE2 ? "danger" : (Phase::getCurrentPhase() == Phase::PHASE2 ? "warning" : "success") ?>">
        <?= Phase::getTranslatedName(Phase::PHASE2) ?> :
        Du <strong><?= formatDate($CONFIG->getStartPhase2Date(), true) ?></strong> au
        <strong><?= formatDate($CONFIG->getEndPhase2Date(), true) ?></strong>
    </div>

    <div class="alert alert-<?= Phase::getCurrentPhase() < Phase::PHASE3 ? "danger" : (Phase::getCurrentPhase() == Phase::PHASE3 ? "warning" : "success") ?>">
        <?= Phase::getTranslatedName(Phase::PHASE3) ?> :
        Du <strong><?= formatDate($CONFIG->getStartPhase3Date(), true) ?></strong> au
        <strong><?= formatDate($CONFIG->getEndPhase3Date(), true) ?></strong>
    </div>

    <div class="alert alert-<?= Phase::getCurrentPhase() < Phase::PHASE4 ? "danger" : (Phase::getCurrentPhase() == Phase::PHASE4 ? "warning" : "success") ?>">
        <?= Phase::getTranslatedName(Phase::PHASE4) ?> :
        Du <strong><?= formatDate($CONFIG->getStartPhase4Date(), true) ?></strong> au
        <strong><?= formatDate($CONFIG->getEndPhase4Date(), true) ?></strong>
    </div>

    <?php if ($_SESSION["role"] == Role::ADMIN) { ?>
        <!--suppress HtmlUnknownTarget -->
        <a href="/calendrier/modifier">
            <button class="btn btn-primary btn-lg btn-block">Modifier le calendrier</button>
        </a>
    <?php } ?>

    <hr/>

    <a href="https://correspondances-maths.fr/participer/" target="_blank">
        <button class="btn btn-primary btn-lg btn-block">
            Comment participer aux Correspondances ?
        </button>
    </a>

<?php }

require_once "footer.php";